Difference between revisions of "Draft Facebinder/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m
 
(29 intermediate revisions by 4 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 
{{Docnav/fr
 
{{Docnav/fr
|[[Draft_ShapeString/fr|Formes à partir texte Draft]]
+
|[[Draft_ShapeString/fr|Formes à partir texte]]
|[[Draft_BezCurve/fr|Courbe de Bézier Draft]]
+
|[[Draft_BezCurve/fr|Courbe de Bézier]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|IconL=Draft_ShapeString.svg
 
|IconL=Draft_ShapeString.svg
Line 9: Line 9:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Draft Facebinder
 
|Name=Draft Facebinder
|Name/fr=Faces liées Draft
+
|Name/fr=Draft Faces liées
|MenuLocation=Draft → Faces liées
+
|MenuLocation=Draft → Facebinder
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
+
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
|Shortcut=F F
+
|Shortcut={{KEY|F}} {{KEY|F}}
|SeeAlso=[[Part Box/fr|Part Box/fr]], [[Arch Wall/fr|Arch Wall/fr]]
+
|SeeAlso=[[Part Box/fr|Part Cube]], [[Arch Wall/fr|Arch Mur]]
 
|Version=0.14
 
|Version=0.14
 
}}
 
}}
</div>
 
  
 
==Description==
 
==Description==
  
L'outil [[Draft Facebinder/fr|Faces liées Draft]] crée un objet de surface à partir des faces sélectionnées d'un objet solide. Il est paramétrique, ce qui signifie que si vous modifiez l'objet d'origine, [[Draft Facebinder/fr|Faces liées Draft]] se met à jour en conséquence. Si vous déplacez et faites pivoter le [[Draft Facebinder/fr|Faces liées Draft]], il restera lié aux faces d'origine.
+
L'outil [[Draft Facebinder/fr|Draft Faces liées]] crée un objet de surface à partir des faces sélectionnées d'un objet solide. Il est paramétrique, ce qui signifie que si vous modifiez l'objet d'origine, [[Draft Facebinder/fr|Draft Faces liées]] se met à jour en conséquence. Si vous déplacez et faites pivoter le [[Draft Facebinder/fr|Draft Faces liées]], il restera lié aux faces d'origine.
  
 
Il peut être utilisé pour créer une extrusion à partir d'une collection de faces provenant d'autres objets. Une utilisation typique est dans la conception architecturale pour construire un objet qui recouvre plusieurs murs, par exemple un papier peint ou une finition murale.
 
Il peut être utilisé pour créer une extrusion à partir d'une collection de faces provenant d'autres objets. Une utilisation typique est dans la conception architecturale pour construire un objet qui recouvre plusieurs murs, par exemple un papier peint ou une finition murale.
  
 
[[Image:Draft facebinder example.jpg|400px]]
 
[[Image:Draft facebinder example.jpg|400px]]
{{Caption|Faces liées sur un un mur}}
+
{{Caption|Faces liées créées à partir des faces de murs}}
  
 
==Utilisation==
 
==Utilisation==
  
 
# Choisissez une face ou maintenez {{KEY|Ctrl}} et choisissez plusieurs faces dans des objets solides.
 
# Choisissez une face ou maintenez {{KEY|Ctrl}} et choisissez plusieurs faces dans des objets solides.
# Appuyez sur le bouton {{Button|[[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder/fr|Faces liées Draft]]}} ou appuyez sur les touches {{KEY|F}} puis {{KEY|F}}.
+
# Appuyez sur le bouton {{Button|[[Image:Draft_Facebinder.svg|16px]] [[Draft_Facebinder/fr|Draft Faces liées]]}} ou appuyez sur les touches {{KEY|F}} puis {{KEY|F}}.
  
Le [[Draft Facebinder/fr|Faces liées Draft]] peut être édité en double-cliquant sur l'élément dans l'arborescence. Ensuite, vous pouvez modifier les faces qui font partie de l'objet.
+
Le [[Draft Facebinder/fr|Draft Faces liées]] peut être édité en double-cliquant sur l'élément dans l'arborescence. Ensuite, vous pouvez modifier les faces qui font partie de l'objet.
 
* Pour ajouter une face, cliquez sur une face d'un objet solide dans la vue 3D, puis cliquez sur le bouton {{Button|[[Image:Arch_Add.svg|16px]] Ajouter}}.
 
* Pour ajouter une face, cliquez sur une face d'un objet solide dans la vue 3D, puis cliquez sur le bouton {{Button|[[Image:Arch_Add.svg|16px]] Ajouter}}.
 
* Pour supprimer une face, sélectionnez l'un des sous-éléments de la liste, puis cliquez sur le bouton {{Button|[[Image:Arch_Remove.svg|16px]] Supprimer}}.
 
* Pour supprimer une face, sélectionnez l'un des sous-éléments de la liste, puis cliquez sur le bouton {{Button|[[Image:Arch_Remove.svg|16px]] Supprimer}}.
Line 41: Line 39:
  
 
== Options ==
 
== Options ==
Cet objet n'a pas d'options lors de sa création. Seules les faces sélectionnées seront utilisées pour créer l'objet [[Draft Facebinder/fr|Faces liées Draft]].
+
Cet objet n'a pas d'options lors de sa création. Seules les faces sélectionnées seront utilisées pour créer l'objet [[Draft Facebinder/fr|Draft Faces liées]].
  
 
== Propriétés ==
 
== Propriétés ==
 
=== Données ===
 
=== Données ===
* {{PropertyData|Extrusion}}: spécifie une épaisseur d'extrusion à appliquer à toutes les faces de la forme.
+
* {{PropertyData/fr|Extrusion}}: spécifie une épaisseur d'extrusion à appliquer à toutes les faces de la forme.
* {{PropertyData|Remove Splitter}}: mis à {{TRUE}}, il tente de fusionner les intersections internes du Facebinder lors de l'extrusion.
+
* {{PropertyData/fr|Remove Splitter}}: mis à {{TRUE}}, il tente de fusionner les intersections internes du Facebinder lors de l'extrusion.
* {{PropertyData|Sew}}: mis à {{TRUE}}, il tente d'effectuer une opération de couture topologique sur le Facebinder lors de l'extrusion.
+
* {{PropertyData/fr|Sew}}: mis à {{TRUE}}, il tente d'effectuer une opération de couture topologique sur le Facebinder lors de l'extrusion.
 +
* {{PropertyData/fr|Offset}}: spécifie une distance de décalage à appliquer entre la face à liée et les faces d'origine, avant l'extrusion.
 +
* {{PropertyData/fr|Area}}: la surface totale de cette face à liée.
  
<div class="mw-translate-fuzzy">
 
 
===Vue===
 
===Vue===
* {{PropertyView/fr|Pattern}}: spécifie un [[Draft Pattern/fr|Pattern Draft]] avec lequel remplir la surface de la forme. Cette propriété ne fonctionne que si {{PropertyData/fr|Make Face}} est {{TRUE}} et si {{PropertyView/fr|Display Mode}} est "Flat Lines".
+
* {{PropertyView/fr|Pattern}}: spécifie un [[Draft Pattern/fr|Draft Motif]] avec lequel remplir la surface de la forme. Cette propriété ne fonctionne que si {{PropertyData/fr|Make Face}} est {{TRUE}} et si {{PropertyView/fr|Display Mode}} est "Flat Lines".
* {{PropertyView/fr|Pattern Size}}: spécifie la taille du [[Draft Pattern/fr|Pattern Draft]].
+
* {{PropertyView/fr|Pattern Size}}: spécifie la taille du [[Draft Pattern/fr|Draft Motif]].
</div>
 
  
<div class="mw-translate-fuzzy">
 
 
==Script==
 
==Script==
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD scripts de base]].
+
{{Emphasis|Voir aussi:}} [[Draft_API/fr|Draft API]] et [[FreeCAD_Scripting_Basics/fr|FreeCAD scripts de base]].
</div>
 
  
<div class="mw-translate-fuzzy">
+
L'outil [[Draft_Facebinder/fr|Draft Faces liées]] peut être utilisé dans [[Macros/fr|macros]] et à partir de la console [[Python/fr|Python]] à l'aide de la fonction suivante:
L'outil [[Draft Facebinder/fr|Faces liées Draft]] peut être utilisé dans [[macros/fr|macros]] et à partir de la console [[Python/fr|Python]] à l'aide de la fonction suivante:
 
</div>
 
 
{{Code|code=
 
{{Code|code=
 
Facebinder = makeFacebinder(selectionset)
 
Facebinder = makeFacebinder(selectionset)
 
}}
 
}}
<div class="mw-translate-fuzzy">
 
 
* Crée un objet {{incode|Facebinder}} à partir du {{incode|selectionset}} donné qui est une liste de {{incode|SelectionObject}} tels que ceux renvoyés par {{incode|FreeCADGui.Selection.getSelectionEx()}}.
 
* Crée un objet {{incode|Facebinder}} à partir du {{incode|selectionset}} donné qui est une liste de {{incode|SelectionObject}} tels que ceux renvoyés par {{incode|FreeCADGui.Selection.getSelectionEx()}}.
* Seules les faces sélectionnées sont prises en compte.
+
** {{incode|selectionset}} peut aussi être un {{incode|PropertyLinkSubList}}.
</div>
+
 
 +
Un {{incode|PropertyLinkSubList}} est une liste de tuples ; chaque tuple contient comme premier élément un {{incode|object}}, et comme deuxième élément une liste (ou tuple) de chaînes ; ces chaînes indiquent les noms des sous-éléments (faces) de cet objet.
  
 
{{Code|code=
 
{{Code|code=
Line 78: Line 72:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
L'épaisseur de Facebinder peut être ajoutée en écrasant son attribut {{incode|Extrusion}}. La valeur est entrée en millimètres.
L'épaisseur de ShapeString peut être ajoutée en écrasant son attribut {{incode|Extrusion}}. La valeur est entrée en millimètres.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
Le placement de Facebinder peut être modifié en remplaçant son attribut {{incode|Placement}}  ou en écrasant individuellement ses attributs {{incode|Placement.Base}} et {{incode|Placement.Rotation}}.
Le placement de ShapeString peut être modifié en remplaçant son attribut {{incode|Placement}}  ou en écrasant individuellement ses attributs {{incode|Placement.Base}} et {{incode|Placement.Rotation}}.
 
</div>
 
  
 
Exemple:
 
Exemple:
Line 108: Line 98:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
{{Docnav/fr
{{Docnav
+
|[[Draft_ShapeString/fr|Formes à partir texte]]
|[[Draft_ShapeString|Formes à partir texte Draft]]
+
|[[Draft_BezCurve/fr|Courbe de Bézier]]
|[[Draft_BezCurve|Courbe de Bézier Draft]]
+
|[[Draft_Module/fr|Atelier Draft]]
|[[Draft_Module|Atelier Draft]]
 
 
|IconL=Draft_ShapeString.svg
 
|IconL=Draft_ShapeString.svg
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
 
|IconR=Draft_BezCurve.svg  
 
|IconR=Draft_BezCurve.svg  
 
}}
 
}}
</div>
 
 
{{Draft Tools navi/fr}}
 
  
{{Userdocnavi/fr}}
+
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 13:47, 21 November 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft ShapeString.svg Formes à partir texte
Page suivante : Courbe de Bézier Draft BezCurve.svg Arrow-right.svg

Draft Facebinder.svg Draft Faces liées

Emplacement du menu
Draft → Facebinder
Ateliers
Draft, Arch
Raccourci par défaut
F F
Introduit dans la version
0.14
Voir aussi
Part Cube, Arch Mur


Description

L'outil Draft Faces liées crée un objet de surface à partir des faces sélectionnées d'un objet solide. Il est paramétrique, ce qui signifie que si vous modifiez l'objet d'origine, Draft Faces liées se met à jour en conséquence. Si vous déplacez et faites pivoter le Draft Faces liées, il restera lié aux faces d'origine.

Il peut être utilisé pour créer une extrusion à partir d'une collection de faces provenant d'autres objets. Une utilisation typique est dans la conception architecturale pour construire un objet qui recouvre plusieurs murs, par exemple un papier peint ou une finition murale.

Draft facebinder example.jpg

Faces liées créées à partir des faces de murs


Utilisation

  1. Choisissez une face ou maintenez Ctrl et choisissez plusieurs faces dans des objets solides.
  2. Appuyez sur le bouton Draft Facebinder.svg Draft Faces liées ou appuyez sur les touches F puis F.

Le Draft Faces liées peut être édité en double-cliquant sur l'élément dans l'arborescence. Ensuite, vous pouvez modifier les faces qui font partie de l'objet.

  • Pour ajouter une face, cliquez sur une face d'un objet solide dans la vue 3D, puis cliquez sur le bouton Arch Add.svg Ajouter.
  • Pour supprimer une face, sélectionnez l'un des sous-éléments de la liste, puis cliquez sur le bouton Arch Remove.svg Supprimer.
  • Appuyez sur Echap ou sur le bouton OK pour terminer l'édition.

Options

Cet objet n'a pas d'options lors de sa création. Seules les faces sélectionnées seront utilisées pour créer l'objet Draft Faces liées.

Propriétés

Données

  • DonnéesExtrusion: spécifie une épaisseur d'extrusion à appliquer à toutes les faces de la forme.
  • DonnéesRemove Splitter: mis à true, il tente de fusionner les intersections internes du Facebinder lors de l'extrusion.
  • DonnéesSew: mis à true, il tente d'effectuer une opération de couture topologique sur le Facebinder lors de l'extrusion.
  • DonnéesOffset: spécifie une distance de décalage à appliquer entre la face à liée et les faces d'origine, avant l'extrusion.
  • DonnéesArea: la surface totale de cette face à liée.

Vue

  • VuePattern: spécifie un Draft Motif avec lequel remplir la surface de la forme. Cette propriété ne fonctionne que si DonnéesMake Face est true et si VueDisplay Mode est "Flat Lines".
  • VuePattern Size: spécifie la taille du Draft Motif.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Draft Faces liées peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

Facebinder = makeFacebinder(selectionset)
  • Crée un objet Facebinder à partir du selectionset donné qui est une liste de SelectionObject tels que ceux renvoyés par FreeCADGui.Selection.getSelectionEx().
    • selectionset peut aussi être un PropertyLinkSubList.

Un PropertyLinkSubList est une liste de tuples ; chaque tuple contient comme premier élément un object, et comme deuxième élément une liste (ou tuple) de chaînes ; ces chaînes indiquent les noms des sous-éléments (faces) de cet objet.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

L'épaisseur de Facebinder peut être ajoutée en écrasant son attribut Extrusion. La valeur est entrée en millimètres.

Le placement de Facebinder peut être modifié en remplaçant son attribut Placement ou en écrasant individuellement ses attributs Placement.Base et Placement.Rotation.

Exemple:

import FreeCAD
import FreeCADGui
import Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# selection = FreeCADGui.Selection.getSelectionEx()
selection = [(Box, ("Face1", "Face6"))]
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
Arrow-left.svg Page précédente : Draft ShapeString.svg Formes à partir texte
Page suivante : Courbe de Bézier Draft BezCurve.svg Arrow-right.svg